Loading...
Searching...
No Matches
Catch::Clara::Detail::ParseState Class Reference

`#include <catch_amalgamated.hpp>`

Collaboration diagram for Catch::Clara::Detail::ParseState:
[legend]

## Public Member Functions

| ParseState (ParseResultType type, TokenStream remainingTokens)
ParseResultType | type () const
TokenStream const & | remainingTokens () const &
TokenStream && | remainingTokens () &&

## Private Attributes

ParseResultType | m_type
TokenStream | m_remainingTokens

## Constructor & Destructor Documentation

## ParseState()

Catch::Clara::Detail::ParseState::ParseState | ( | ParseResultType | type,
|  | TokenStream | remainingTokens )

Here is the call graph for this function:

## Member Function Documentation

## remainingTokens() [1/2]

TokenStream && Catch::Clara::Detail::ParseState::remainingTokens | ( |  | ) | &&

inline

## remainingTokens() [2/2]

TokenStream const & Catch::Clara::Detail::ParseState::remainingTokens | ( |  | ) | const &

inline

Here is the caller graph for this function:

## type()

ParseResultType Catch::Clara::Detail::ParseState::type | ( |  | ) | const

inline

Here is the caller graph for this function:

## Member Data Documentation

## m_remainingTokens

TokenStream Catch::Clara::Detail::ParseState::m_remainingTokens

private

## m_type

ParseResultType Catch::Clara::Detail::ParseState::m_type

private

The documentation for this class was generated from the following files:

- tests/vendor/catch_amalgamated.hpp
- tests/vendor/catch_amalgamated.cpp